/**
* AuthenticateData.cs
**/
using System;
using System.Xml;

/**
 * @author R_ALVAREZ
 *
 **/
namespace Yawf.Web.Manager.Entities {
	public class AuthenticateData {
		// Constants
		public static readonly String LOGIN_METHOD = "login";
		public static readonly String LOGOUT_METHOD = "logout";

		public AuthenticateData(XmlElement elem) {
			Method = elem.GetAttribute("method");
			LoginField = elem.GetAttribute("login-field");
			PasswordField = elem.GetAttribute("password-field");
		}

		// Internals
		private String method = LOGIN_METHOD;
		private String loginField;
		private String passwordField;


		public String Method { get { return method; } set { method = value;} }
		public String LoginField { get { return loginField; } set { loginField = value; } }
		public String PasswordField { get { return passwordField; } set { passwordField = value; } }
	}
}
